main()
{
	//maps\mp\mp_kong_fx::main();
	//maps\createart\mp_kong_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_kong");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_kong" );
	ambientPlay("ambient_kong_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar("r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//fx
	level.fx_car_explosion = loadfx("explosions/small_vehicle_explosion_nofire");

	//helicopter rotor code
	helicopter_rotor_main = getentarray("helicopter_rotor_main","targetname");
	helicopter_rotor_side_we = getentarray("helicopter_rotor_side_we","targetname");
	helicopter_rotor_side_ns = getentarray("helicopter_rotor_side_ns","targetname");
	for(i=0;i<helicopter_rotor_main.size;i++)
	{
		helicopter_rotor_main[i] thread helicopter_rotor_main_rotate();
	}
	for(i=0;i<helicopter_rotor_side_we.size;i++)
	{
		helicopter_rotor_side_we[i] thread helicopter_rotor_side_we_rotate();
	}
	for(i=0;i<helicopter_rotor_side_ns.size;i++)
	{
		helicopter_rotor_side_ns[i] thread helicopter_rotor_side_ns_rotate();
	}

	//fountain code
	fountain = getentarray("fountain","targetname");
	for(i=0;i<fountain.size;i++)
	{
		fountain[i] thread fountain_spray();
	}

	//barricade code
	trigger_barricade = getentarray("trigger_barricade","targetname");
	for(i=0;i<trigger_barricade.size;i++)
	{
		trigger_barricade[i].gunflash = getent(trigger_barricade[i].target, "targetname");		
		trigger_barricade[i].gunflash hide();
		trigger_barricade[i] thread barricade_shoot();
	}

	//car code
	trigger_car = getentarray("trigger_car","targetname");
	for(i=0;i<trigger_car.size;i++)
	{
		trigger_car[i].car = getent(trigger_car[i].target, "targetname");
		trigger_car[i].exploded = false;
		trigger_car[i] thread car_explode();
		trigger_car[i] thread car_screams();
	}
}

//car_screams
car_screams()
{
	wait(5);
	while(1)
	{
		scream_random = RandomInt(10);
		scream_wait = RandomInt(10) + 20;
		if (!self.exploded)
		{
			if (scream_random == 0)
			{
				self.car playsound("childrenscreaming");
			}
			else if (scream_random == 1)
			{
				self.car playsound("scream1");
			}
			else if (scream_random == 3)
			{
				self.car playsound("scream3");
			}
		}
		wait(scream_wait);
	}
}

//car_explode
car_explode()
{
	while (1)
	{
		self.carheight = 50;
		self.carheighttime = 0.5;
		self waittill("trigger", user);
		if (!self.exploded)
		{
			self.exploded = true;
			PlayFX(level.fx_car_explosion, self.origin);
			self playsound("car_explosion");
			self.car notSolid();
			radiusDamage(self.origin, 64, 200, 50, user);
			scream_random = RandomInt(4);
			if (scream_random == 0)
			{
				self.car playsound("childrenscreaming");
			}
			else if (scream_random == 1)
			{
				self.car playsound("scream1");
			}
			else if (scream_random == 2)
			{
				self.car playsound("scream2");
			}
			else if (scream_random == 3)
			{
				self.car playsound("scream3");
			}
			self.car movez(self.carheight, self.carheighttime, 0, self.carheighttime);
			self.car rotatepitch(180, self.carheighttime);
			self.car waittill("movedone");
			self.car hide();
		}
	}
}

//barricade_shoot
barricade_shoot()
{
	while (1)
	{
		self waittill("trigger", user);
		self.gunflash playsound("helicoptershots");
		RadiusDamage(user.origin, 1, 10, 10);
		self.gunflash show();
		wait(0.5);
		self.gunflash hide();
	}
}

//fountain_spray
fountain_spray()
{
	level._effect["water_fountain"] = loadfx ("impacts/water_fountain");
	maps\mp\_fx::loopfx("water_fountain", (self.origin + (0, 0, 4)), 0.5);
}

//helicopter rotor code
helicopter_rotor_main_rotate()
{
	while (true)
	{	
		self rotateyaw(360, 0.5);
		self playsound("helicopter");	
		self waittill("rotatedone");
	}
}

helicopter_rotor_side_we_rotate()
{
	while (true)
	{	
		self rotatepitch(360, 0.5);
		self waittill("rotatedone");
	}
}

helicopter_rotor_side_ns_rotate()
{
	while (true)
	{	
		self rotateroll(360, 0.5);
		self waittill("rotatedone");
	}
}